# Config

{% tabs %}
{% tab title="Config" %}

```lua
Config = {}

-- ESX / QB / QBX EXPORTS
Config.FrameworkExport = function()
    if fwType == 'esx' then
    return exports['es_extended']:getSharedObject()
    elseif fwType == 'qbcore' then
        return exports['qb-core']:GetCoreObject()
    elseif fwType == 'qbx' then
     return exports['qbx-core']:GetCoreObject()
    end
end

Config.ShowOnlyInfoMenu = false

------ BUTTONS ------
Config.Buttons = {
    Splash = 24,
    Reload = 80,
    Pump = 38,
    Hide = 73,
}

------------- MENU -------------
Config.Menu = {
    ['MAIN'] = {
        TextFont = 4,
        TextColor = {255, 255, 255},
        Scale = 0.4,
        Position = {x = 0.50, y = 0.90},
        Background = {
            enable = true,
            color = { r = 35, g = 35, b = 35, alpha = 200 },
        },
    },
    ['PUMP'] = {
        TextFont = 4,
        TextColor = {255, 255, 255},
        Scale = 0.4,
        Position = {x = 0.94, y = 0.94},
        Background = {
            enable = true,
            color = { r = 35, g = 35, b = 35, alpha = 200 },
        },
    },
    ['TANK'] = {
        TextFont = 4,
        TextColor = {255, 255, 255},
        Scale = 0.4,
        Position = {x = 0.94, y = 0.90},
        Background = {
            enable = true,
            color = { r = 35, g = 35, b = 35, alpha = 200 },
        },
    },
}

------ NOTIFY ------
Config.Notify = function(message, type)
    if fwType == 'esx' then

         core.ShowNotification(message, 2000, type) -- Default ESX Notify

    elseif fwType == 'qbcore' then

         core.Functions.Notify(message, type) -- Default QB Notify

    end
end

------ WATER GUN ITEMS ------
Config.WaterGuns = {
    ['watergun'] = {
        max_size = 100,
        pumping = {min = 20, max = 30},
        reloding = {min = 25, max = 35},
        remove_pumping = {min = 2, max = 3},
        remove_water = {min = 1, max = 2},
        Anims = {
            Reload = {
                dict = 'anim@mp_snowball',
                anim = 'pickup_snowball',
                time = 1500,
            },
            Pump = {
                dict = 'missmic4',
                anim = 'michael_tux_fidget',
                time = 1500,
            }
        },
            Prop = {
                Model = 'watergun',
                BoneID = 18905,
                Offset = vector3(0.12, 0.06, -0.01),
                Rot = vector3(-114.0, -4.0, 1.0),
        },
    },
}

Translations = {
    ['MENU'] = {
        ['WATERGUN'] = '~g~[M1]~w~ USE ~g~[R]~w~ RELOAD ~g~[E]~w~ PUMP ~g~[X]~w~ HIDE',
        ['PUMP'] = 'Pump: ~o~',
        ['TANK'] = 'Tank: ~b~',
    },
    ['TEXT'] = {
        ['go_to_close_water'] = 'You have to be in the water to fill up',
        ['empty_tank'] = 'The water tank is empty. Go to the water and fill it up.',
        ['full_tank'] = 'The water tank is full.',
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devcore.cz/resources/water-gun/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
